<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.4/socket.io.js"></script>
  <title>Socket Test</title>

  <style>
    body {
      background: black;
      color: cyan;
      font-family: monospace;
    }

    h2 {
      text-align: center;
      /* text-decoration: underline; */
    }

    #notifs {
      width: 60%;
      margin: 0 auto;
    }
  </style>
</head>
<body>
  
  <h2>Messages will appear every 3 seconds</h2>

  <div id="notifs">

  </div>

  <script>
    let socket = io.connect('http://localhost:4000');
    let notif_div = document.getElementById('notifs');

    socket.on('notif', function(data) {
      notif_div.innerHTML = '<p>' + JSON.stringify(data) + '</p> <br />' + notif_div.innerHTML;
    });

  </script>

</body>
</html>